groebner_defs.h File Reference
`#include <polybori.h>`
`#include <boost/integer.hpp>`

Go to the source code of this file.

## Classes

class | polybori::groebner::GBTypes

## Namespaces

| polybori
| polybori::groebner

## Macros

#define | BEGIN_NAMESPACE_PBORIGB namespace PBORINAME { namespace groebner{
#define | END_NAMESPACE_PBORIGB }}
#define | USING_NAMESPACE_PBORIGB using namespace PBORINAME::groebner;
#define | EXP_FOR_PAIRS

## Typedefs

typedef polybori::BoolePolynomial | polybori::groebner::Polynomial
typedef polybori::BooleMonomial | polybori::groebner::Monomial
typedef polybori::BooleVariable | polybori::groebner::Variable
typedef polybori::BooleExponent | polybori::groebner::Exponent
typedef std::vector< Polynomial > | polybori::groebner::PolynomialVector
typedef long | polybori::groebner::wlen_type
typedef long | polybori::groebner::len_type
typedef int | polybori::groebner::deg_type
typedef polybori::CTypes::idx_type | polybori::groebner::idx_type
typedef polybori::BooleSet | polybori::groebner::MonomialSet

## Macro Definition Documentation

#define BEGIN_NAMESPACE_PBORIGB namespace PBORINAME { namespace groebner{

#define END_NAMESPACE_PBORIGB }}

#define EXP_FOR_PAIRS

#define USING_NAMESPACE_PBORIGB using namespace PBORINAME::groebner;